Checks whether a notebook instance is upgradable.

### HTTP request

`GET https://notebooks.googleapis.com/v1/{notebookInstance}:isUpgradeable`

### Path parameters

| Parameters ||
|---|---|
| `notebookInstance` | `string` Required. Format: `projects/{projectId}/locations/{location}/instances/{instanceId}` Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `notebookInstance`: - `notebooks.instances.checkUpgradability` |

### Query parameters

| Parameters ||
|---|---|
| `type` | ``enum (`https://docs.cloud.google.com/gemini-enterprise-agent-platform/notebooks/workbench/reference/rest/v1/UpgradeType`)`` Optional. The optional UpgradeType. Setting this field will search for additional compute images to upgrade this instance. |

### Request body

The request body must be empty.

### Response body

Response for checking if a notebook instance is upgradeable.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "upgradeable": boolean, "upgradeVersion": string, "upgradeInfo": string, "upgradeImage": string } ``` |

| Fields ||
|---|---|
| `upgradeable` | `boolean` If an instance is upgradeable. |
| `upgradeVersion` | `string` The version this instance will be upgraded to if calling the upgrade endpoint. This field will only be populated if field upgradeable is true. |
| `upgradeInfo` | `string` Additional information about upgrade. |
| `upgradeImage` | `string` The new image self link this instance will be upgraded to if calling the upgrade endpoint. This field will only be populated if field upgradeable is true. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/notebooks`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).